just in case, use full path for bg processes

This commit is contained in:
Louis Abel 2022-07-18 08:33:24 -07:00
parent 76954a624a
commit 7855a38747
Signed by: label
GPG Key ID: B37E62D143879B36
3 changed files with 9 additions and 2 deletions

View File

@ -12,14 +12,17 @@ ret_val=$?
if [ $ret_val -eq "0" ]; then
# Full file list update for rocky linux itself
echo "Starting full file list for category"
cd "${PRODUCTION_ROOT}/${CATEGORY_STUB}/" || { echo "Failed to change directory"; exit 1; }
find . > fullfilelist & CATEPID=$!
find . > "${PRODUCTION_ROOT}/${CATEGORY_STUB}/fullfilelist" & CATEPID=$!
echo "Starting full file list for root"
cd "${PRODUCTION_ROOT}/" || echo { echo "Failed to change directory"; exit 1; }
find . > fullfilelist & ROOTPID=$!
find . > "${PRODUCTION_ROOT}/fullfilelist" & ROOTPID=$!
wait $CATEPID
wait $ROOTPID
echo "Generating filelist for quick-fedora-mirror users"
if [[ -f /usr/local/bin/create-filelist ]]; then
# We're already here, but Justin Case wanted this
cd "${PRODUCTION_ROOT}/${CATEGORY_STUB}/" || { echo "Failed to change directory"; exit 1; }

View File

@ -15,7 +15,9 @@ if [ $ret_val -eq "0" ]; then
cd "${PRODUCTION_ROOT}/${CATEGORY_STUB}/" || { echo "Failed to change directory"; exit 1; }
# Hardlink everything except xml files
#hardlink -x '.*\.xml.*' "${REVISION}"
echo "Starting full file list for category"
find . > fullfilelist
echo "Generating filelist for quick-fedora-mirror users"
if [[ -f /usr/local/bin/create-filelist ]]; then
# We're already here, but Justin Case wanted this
cd "${PRODUCTION_ROOT}/${CATEGORY_STUB}/" || { echo "Failed to change directory"; exit 1; }

View File

@ -13,7 +13,9 @@ ret_val=$?
if [ $ret_val -eq "0" ]; then
# Full file list update for production root
cd "${PRODUCTION_ROOT}/" || echo { echo "Failed to change directory"; exit 1; }
echo "Starting full file list for root"
find . > fullfilelist
echo "Generating filelist for quick-fedora-mirror users"
if [[ -f /usr/local/bin/create-filelist ]]; then
# We're already here, but Justin Case wanted this
cd "${PRODUCTION_ROOT}/" || { echo "Failed to change directory"; exit 1; }